import type { Metadata } from "next";
import "./globals.scss";
import "./App.scss";
import "@/shared/fonts/fonts.scss";
import { Providers } from "./Providers";
import Navbar from "@/widgets/Navbar/Navbar";
import Footer from "@/widgets/Footer/Footer";

export const metadata: Metadata = {
  title: "Kg Road",
  description: "Road in KR",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <body>
        <Providers>
          <Navbar />
          <div className="app">{children}</div>
          <Footer />
        </Providers>
      </body>
    </html>
  );
}
